From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 3 September 2017<P>

B.K. - Thank you so much, though your praise is undeserved.  I slightly altered that poem on the site, as I tend to do after rereading things I've written.
<HR>
From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 3 September 2017<P>

First poem posted here 2001.  Still coming back, still finding wonderful things, sixteen years later.  As a poet friend of mine says,  "Poetry tells us that another person, at another time, in another place, had the same thoughts and feelings we did."  It offers a way of connecting to one another that no other medium does. Thanks, Kirk, for continuing to provide a space for those connections. 
<HR>